# FFI::scope

(PHP 7 >= 7.4.0)

FFI::scope — Instantiates an FFI object with C declarations parsed during preloading

### Description

public static FFI::scope ( string `$scope_name` ) : FFI

Instantiates an FFI object with C declarations parsed during preloading.

The FFI::scope() method is safe to call multiple times for the same scope. Multiple references to the same scope may be loaded at the same time.

### Parameters

`scope_name`

  The scope name defined by a special FFI_SCOPE define.

### Return Values

Returns the freshly created FFI object.

### See Also

- FFI::load() - Loads C declarations from a C header file